using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Distribucion
{
    public class UpdatePublicacionDto
    {
        [Required(ErrorMessage = "El nombre de la publicación es obligatorio.")]
        [StringLength(50)]
        public string Nombre { get; set; } = string.Empty;

        [StringLength(150)]
        public string? Observacion { get; set; }

        [Required(ErrorMessage = "La empresa es obligatoria.")]
        [Range(1, int.MaxValue, ErrorMessage = "Debe seleccionar una empresa válida.")]
        public int IdEmpresa { get; set; }

        [Required]
        public bool CtrlDevoluciones { get; set; }

        [Required] // En la actualización, el estado de Habilitada debe ser explícito
        public bool Habilitada { get; set; }
    }
}